Bug 1088673 - Please move nm-openswan-auth-dialog (which depends on gtk3) to a subpackage
Summary: Please move nm-openswan-auth-dialog (which depends on gtk3) to a subpackage
Keywords:
Status: CLOSED EOL
Alias: None
Product: Fedora
Classification: Fedora
Component: NetworkManager-openswan
Version: 22
Hardware: All
OS: Linux
medium
medium
Target Milestone: ---
Assignee: Avesh Agarwal
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Depends On:
Blocks: depchain
TreeView+ depends on / blocked
 
Reported: 2014-04-17 01:29 UTC by Kevin Kofler
Modified: 2016-07-19 20:28 UTC (History)
2 users (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2016-07-19 20:28:56 UTC
Type: Bug


Attachments (Terms of Use)

Description Kevin Kofler 2014-04-17 01:29:21 UTC
Description of problem:
NetworkManager-openswan depends on gtk3 for the nm-openswan-auth-dialog. This drags in gtk3 as a dependency of kde-plasma-nm-openswan. (There's also an explicit Requires: gtk3 that should be removed, that's what the soname autorequires are for.) kde-plasma-nm-openswan has its own authentication dialog and does not need the GTK+ one.

Version-Release number of selected component (if applicable):
NetworkManager-openswan-0.9.8.4-2.fc21

How reproducible:
Always.

Steps to Reproduce:
1. Install kde-plasma-nm-openswan on a system without gtk3.

Actual results:
gtk3 is required.

Expected results:
gtk3 is not required.

Additional info:
All the NetworkManager VPN plugins have this packaging issue, I am filing a separate bug for each.

Comment 1 Jaroslav Reznik 2015-03-03 15:42:44 UTC
This bug appears to have been reported against 'rawhide' during the Fedora 22 development cycle.
Changing version to '22'.

More information and reason for this action is here:
https://fedoraproject.org/wiki/Fedora_Program_Management/HouseKeeping/Fedora22

Comment 2 Fedora End Of Life 2016-07-19 20:28:56 UTC
Fedora 22 changed to end-of-life (EOL) status on 2016-07-19. Fedora 22 is
no longer maintained, which means that it will not receive any further
security or bug fix updates. As a result we are closing this bug.

If you can reproduce this bug against a currently maintained version of
Fedora please feel free to reopen this bug against that version. If you
are unable to reopen this bug, please file a new report against the
current release. If you experience problems, please add a comment to this
bug.

Thank you for reporting this bug and we are sorry it could not be fixed.


Note You need to log in before you can comment on or make changes to this bug.